%define anolis_release 2

Name:           liblockfile
Version:        1.17
Release:        %{anolis_release}%{?dist}
Summary:        This implements a number of functions found in -lmail on SysV systems
License:        GPLv2+ and LGPLv2+
URL:            http://packages.qa.debian.org/libl/liblockfile.html
Source0:        http://deb.debian.org/debian/pool/main/libl/liblockfile/liblockfile_%{version}.orig.tar.gz

BuildRequires:  gcc gcc-c++ make autoconf


%description
This library implements a number of functions found in -lmail on SysV
systems. These functions are designed to lock the standard mailboxes in
/var/mail (or wherever the system puts them). In additions, this library 
adds a number of functions to create, manage and remove generic lockfiles.


%package devel
Summary:         Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The liblockfile-devel package contains libraries and header files for developing 
applications that use liblockfile.

%package doc
Summary:        Documentary files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The liblockfile-doc package contains documentary files for liblockfile.


%prep
%autosetup -n %{name}-%{version} -p1
sed -Ei "/install/ s/-g [^ ]+//" Makefile.in
sed -i \
    -e '/^prefix/s,\$(DESTDIR),,' \
    -e 's,\(\$(\(lib\|include\|man\|nfslock\|bin\)dir)\),$(DESTDIR)\1,' \
    -e '/-DLOCKPROG/s,\$(DESTDIR),,' Makefile.in


%build
%configure --enable-shared --with-mailgroup
%make_build


%install
%make_install


%files
%attr(2755,root,mail) %{_bindir}/dotlockfile
%{_libdir}/liblockfile.so.1
%{_libdir}/liblockfile.so.1.0
%license COPYRIGHT
%{_mandir}/man1/dotlockfile.1*


%files devel
%{_includedir}/maillock.h
%{_includedir}/lockfile.h
%{_libdir}/liblockfile.so
%{_libdir}/liblockfile.a
%{_mandir}/man3/maillock.3*.zst
%{_mandir}/man3/lockfile_create.3*.zst

%files doc
%doc README Changelog 


%changelog
* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 1.17-2
- add doc package

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 1.17-1
- Init pcakage from upstream
